# Module: WpUsers::BruteForcable — Documentation by YARD 0.8.6.1

Class List Method List File List

# Module: WpUsers::BruteForcable

Included in:
  WpUsers
Defined in:
  lib/common/collections/wp_users/brute_forcable.rb

## Instance Method Summary (collapse)

- - (void) brute_force(wordlist, options = {})

  Brute force each wp_user.

## Instance Method Details

### - (`void`) brute_force(wordlist, options = {})

This method returns an undefined value.

Brute force each wp_user

To avoid loading the wordlist each time in the wp_user instance It's loaded here, and given to the wp_user

Parameters:

- wordlist (`String`, `Array<String>`)
- options (`Hash`) (defaults to: `{}`) —

  See WpUser::BruteForcable#brute_force

    15
    16
    17
    18
    19

    # File 'lib/common/collections/wp_users/brute_forcable.rb', line 15

    def brute_force(wordlist, options = {})
      passwords = WpUser::BruteForcable.passwords_from_wordlist(wordlist)

      self.each { |wp_user| wp_user.brute_force(passwords, options) }
    end